Facebook Group Posts
curl --request GET \
--url https://api.sociavault.com/v1/scrape/facebook/group/posts \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/facebook/group/posts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/facebook/group/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"posts": {
"0": {
"id": "2065680910795061",
"text": "A best meat with cabbage ,\nu cant say chicken\nš„¬š",
"url": "https://www.facebook.com/groups/homemakingtips/permalink/2065680910795061/",
"author": {
"__typename": "User",
"name": "Lika Tegerashvili",
"short_name": "Lika",
"id": "100000243267830"
},
"reactionCount": 132,
"commentCount": 555,
"videoViewCount": null,
"publishTime": 1770575531,
"videoDetails": {},
"image": null,
"topComments": {
"0": {
"id": "Y29tbWVudDoyMDY1NjgwOTEwNzk1MDYxXzIwNjU2ODM0MTQxMjgxNDQ=",
"text": "Kielbasa",
"publishTime": 1770575681,
"author": {
"id": "100006021391971",
"name": "Amanda May",
"gender": "FEMALE",
"url": "https://www.facebook.com/amanda.may.500888"
}
},
"1": {
"id": "Y29tbWVudDoyMDY1NjgwOTEwNzk1MDYxXzIwNjU2ODE4MDc0NjE2Mzg=",
"text": "Corned beef",
"publishTime": 1770575588,
"author": {
"id": "pfbid06kUd2diqssEkUULC5Q8qxuUoZmqsvZujCdc4b24D6dQCAh8gsSRTx4Rj913rnXpFl",
"name": "Charlotte Thompson Kinney",
"gender": "FEMALE",
"url": null
}
}
}
}
},
"cursor": "AQHSk-p4_xKX_EqTd5AwLOG_GmDv6rSAsi4N7pjShqH8i1zOF_euxbOLjh6X8xdu5XCgOupii6egno8omJ931I50Yw:eyIwIjoxNzcwNTkzNDk0LCIxIjo3NjgyLCIzIjowLCI0IjoxLCI1Ijo0LCI2IjowfQ=="
},
"credits_used": 1,
"endpoint": "facebook/group/posts"
}{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}Facebook
Facebook Group Posts
Get posts from a public Facebook group. Returns up to 3 posts per request due to Facebook API constraints.
GET
/
v1
/
scrape
/
facebook
/
group
/
posts
Facebook Group Posts
š³ 1 credit per request
Authorizations
Query Parameters
The URL of the group
Example:
"https://www.facebook.com/groups/homemakingtips/"
The ID of the group
Example:
"742354120555345"
How to sort the posts
Available options:
TOP_POSTS, RECENT_ACTIVITY, CHRONOLOGICAL, CHRONOLOGICAL_LISTINGS Example:
"TOP_POSTS"
The cursor to paginate to the next page
Example:
"AQHRBjJCelNvdGRjH8s2j-6..."
Response
Successful response
Key Response Fields:
data.posts[0].id: Post IDdata.posts[0].text: Post text contentdata.posts[0].url: Direct URL to the group postdata.posts[0].author.name: Name of the user who posteddata.posts[0].reactionCount: Total reaction countdata.posts[0].commentCount: Total comment countdata.posts[0].publishTime: Unix timestamp of publicationdata.posts[0].topComments: Top comments on the post (with author and text)data.posts[0].image: Post image URL (if applicable)data.cursor: Pagination cursor ā pass ascursorto get the next 3 posts
āI